Delete a path from a component. - Gable Docs
DELETE a Path from a Component
Delete a path from a component.
cURL
curl --request DELETE \
--url https://demo-api.gable.ai/v0/experimental/components/{id}/paths/{pathId} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '\n{\n "effective_since_commit_sha": "<string>"\n}'
Python
import requests
url = "https://demo-api.gable.ai/v0/experimental/components/{id}/paths/{pathId}"
payload = { "effective_since_commit_sha": "<string>" }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'DELETE',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({effective_since_commit_sha: '<string>'})
};
fetch('https://demo-api.gable.ai/v0/experimental/components/{id}/paths/{pathId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Path Parameters
- id: The component ID.
- pathId: The path ID to delete.
Body
- effective_since_commit_sha: Commit SHA this deletion is effective from. When omitted, defaults to the latest scanned commit for the component.
Response
200: Path deleted successfully.
{"success": true}Error Messages:
{"message": "<string>", "id": 123, "title": "<string>"}